#
# spec file for package asterisk161-flite (Version 0.6)
#
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audit-libs asterisk161 asterisk161-devel autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 coreutils cpio cpp cpp41 cracklib curl curl-devel cvs cyrus-sasl dahdi-linux dahdi-linux-devel dahdi-linux-kmp-default dahdi-tools libtonezone-devel db diffutils e2fsprogs expat file filesystem fillup findutils flite flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv irqbalance kernel-default klogd krb5 less libacl libattr libcom_err libgcc41 libidn libidn-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libogg libpri libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libzio limal limal-bootloader limal-perl linux-kernel-headers m4 make man mdadm mkinitrd mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch pcre perl perl-Bootloader perl-gettext permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline reiserfs rpm sed spandsp speex speex-devel strace sysvinit tar tcpd texinfo timezone udev unixODBC unixODBC-devel unzip util-linux vim zlib zlib-devel

Name:           asterisk161-flite
Version:        0.6
Release:        18.43
Summary:        Flite text-to-speech module for Asterisk

Group:          Applications/Internet
License:        GPL
URL:            http://dialogpalette.sourceforge.net
Source0:        http://prdownloads.sourceforge.net/dialogpalette/app_flite-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  flite-devel asterisk161 >= 1.6.1.0 asterisk161-devel >= 1.6.1.0
PreReq:        asterisk161 >= 1.6.1.0
BuildRequires: libpri >= 1.4.5
%if %suse_version <= 1030
BuildRequires: libgsm 
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%endif
%if %suse_version > 1030
BuildRequires: libgsm1 > 1.0.11
%endif


%description
This provides the "Flite" dialplan application for the Asterisk Open Source
PBX, which allows you to use the CMU Flite text-to-speech engine with Asterisk.

The application uses the exact same syntax as the standard "Festival" Asterisk
application.


%prep
%setup -n app_flite-%{version}


%build
export ASTERISKMODDIR=%{_libdir}/asterisk/modules
make %{?_smp_mflags} 


%install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/asterisk/modules
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/asterisk
make install DESTDIR=$RPM_BUILD_ROOT ASTERISKMODDIR=%{_libdir}/asterisk/modules LIBDIR=%{_libdir}
/usr/bin/strip $RPM_BUILD_ROOT%{_libdir}/asterisk/modules/app_flite.so

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%{_libdir}/asterisk/modules/app_flite.so
%config(noreplace) %{_sysconfdir}/asterisk/flite.conf


%changelog
* Wed Jul 16 2009 Vittorio Manfredini <vittorio@vitsoft.bz> 
- New version: 0.6

